[tox]
envlist = py3

[testenv]
sitepackages = True
deps = coverage
       six
       numpy
       scipy
       uncertainties
       matplotlib
       cycler
       bokeh
       h5py
       pillow
commands =
    python -m coverage erase
    python -m coverage run -m --branch --source=histogram {posargs:test -r -f} -b
    python -O -m coverage run -a -m --branch --source=histogram {posargs:test -r -f} -b
    python -m coverage report -m
